std::make_error_code(std::future_errc)(3)

NAME
std::make_error_code(std::future_errc) - std::make_error_code(std::future_errc)

Synopsis
   Defined in header <future>
   std::error_code make_error_code( std::future_errc e ); (since C++11)
   Constructs an std::error_code object from a value of type std::future_errc as if by:
   std::error_code(static_cast<int>(e), std::future_category()).
   This function is called by the constructor of std::error_code when given an
   std::future_errc argument.

Parameters
   e - error code number

Return value
   A value of type std::error_code that holds the error code number from e associated
   with the error category "future".

Example
    This section is incomplete
    Reason: no example

See also
   error_code holds a platform-dependent error code
   (C++11) (class)
   future_errc identifies the future error codes
   (C++11) (enum)
   make_error_code(std::errc) constructs an std::errc error code
   (C++11) (function)
   make_error_code(std::io_errc) constructs an iostream error code
   (C++11) (function)